from dataclasses import dataclass
from datetime import date


@dataclass(frozen=True)
class CalendarDay:
    day: date
    moderator: str


class TimelineIterator():
    def __iter__(self) -> 'TimelineIterator':
        return self

    def set_day(self, day: date) -> None:
        raise NotImplementedError

    def __next__(self) -> 'CalendarDay':
        raise NotImplementedError
